[Compression]
Basic=0
IFC Uncompressed=4
IFC Compressed=5
Huffman=1
RLE=2
Combined=3

[CompressionLevels]
None=0
Low=1
Medium=2
High=3

[PrintLayout]
Portrait=0
Portrait Reverse=1 
Landscape=2
Endless=3
Endless Reverse=4

[PrintPageSize]
Custom=0
Default=1
Emulate A4=2
Emulate Letter=3

[DefaultPageSize]
PaperWidth=800
PaperLength=2230

[PrintQuality]
Draft=-1
Low Quality=-2
Medium Quality=-3
Best Quality=-4

[HalfTone]
Dither 4x4=2
Dither 8x8=6
Dither 12x12=10
Dither 16x16=14
SuperCell=16
Automatic=-1

[Cutter]
No Cut=0
Partial Cut=1
Full Cut=2

[CommandSet]
IFCom Standard=standard
IFCom Extended=extended
SPM56=spm56

// this is the basic command set

[standard]
PeakLimit 	= cmd, #0x1C, $data0
PeakLimitOff	= cmd, #0x1C, #0x00
FeedLines	= cmd, #0x1D, $data0
Burntime	= cmd
BurnCorrection	= cmd, #0x1E, $data0
TopCorrection	= cmd
SpeedRange	= cmd
ByteWidth	= cmd
Compensation	= cmd
Reset		= cmd
FullCut		= cmd, #0x09
PartialCut	= cmd, #0x08
EndPage		= cmd
EndDocument	= cmd
Graphics 	= cmd
GraphicsHuff 	= cmd
GraphicsRLE 	= cmd
GraphicsIFC 	= cmd, #0x1F, @data1, $data0
GraphicsIFCC 	= cmd, $data0, @data2, $data1
Status_ON	= cmd,
Status_OFF	= cmd,

// this is the extended command set
// used by new standard boards

[extended]
PeakLimit 	= cmd, #0x1C, $data0
PeakLimitOff	= cmd, #0x1C, #0x00
FeedLines	= cmd, #0x1D, $data0
Burntime	= cmd, #0x1B, #0xCD, #0x01, #0x41, $data0
BurnCorrection	= cmd, #0x1E, $data0
TopCorrection	= cmd, #0x1B, #0xCD, #0x04, #0x50, #0x03, #0x00, $data0, #0x00
SpeedRange	= cmd, #0x1B, #0xCD, #0x02, #0x42, $data0, $data1
ByteWidth	= cmd, #0x1B, #0xCD, #0x01, #0x43, $data0
Compensation	= cmd, #0x1B, #0xCD, #0x04, #0x50, $data0, #0x00, $data1, $data2
Reset		= cmd, #0x1B, #0x40
FullCut		= cmd, #0x1B, #0x69
PartialCut	= cmd, #0x1B, #0x6D
EndPage		= cmd
EndDocument	= cmd, #0x1B, #0xCD, #0x00, #0x71
Graphics 	= cmd, #0x1B, #0xCD, $data0, #0x08, @data1, $data0
GraphicsHuff 	= cmd, #0x1B, #0xCD, $data0, #0x09, @data1, $data0
GraphicsRLE 	= cmd, #0x1B, #0xCD, $data0, #0x0A, @data1, $data0
GraphicsIFC 	= cmd, #0x1F, @data1, $data0
GraphicsIFCC 	= cmd, $data0, @data2, $data1
Status_ON	= cmd, #0x1B, #0xCD, #0x01, #0x6A, #0xE0
Status_OFF	= cmd, #0x1B, #0xCD, #0x01, #0x6A, #0x00

[spm56]
PeakLimit 	= cmd, #0x1C, $data0
PeakLimitOff	= cmd, #0x1C, #0x00
FeedLines	= cmd, #0x1B, #0x4A, $data0
Burntime	= cmd, #0x1B, #0xCD, #0x01, #0x41, $data0
BurnCorrection	= cmd, #0x1E, $data0
TopCorrection	= cmd, #0x1B, #0xCD, #0x04, #0x50, #0x03, #0x00, $data0, #0x00
SpeedRange	= cmd, #0x1B, #0xCD, #0x02, #0x42, $data0, $data1
ByteWidth	= cmd, #0x1B, #0xCD, #0x01, #0x43, $data0
Compensation	= cmd, #0x1B, #0xCD, #0x04, #0x50, $data0, #0x00, $data1, $data2
Reset		= cmd, #0x1B, #0x40
FullCut		= cmd, #0x1B, #0x69
PartialCut	= cmd, #0x1B, #0x6D
EndPage		= cmd
EndDocument	= cmd, #0x1B, #0xCD, #0x00, #0x71
Graphics 	= cmd, #0x1B, #0xCD, $data0, #0x08, @data1, $data0
GraphicsHuff 	= cmd, #0x1B, #0xCD, $data0, #0x09, @data1, $data0
GraphicsRLE 	= cmd, #0x1B, #0xCD, $data0, #0x0A, @data1, $data0
GraphicsIFC 	= cmd, #0x1F, @data1, $data0
GraphicsIFCC 	= cmd, $data0, @data2, $data1
Status_ON	= cmd, #0x1B, #0xCD, #0x01, #0x6A, #0xE0
Status_OFF	= cmd, #0x1B, #0xCD, #0x01, #0x6A, #0x00
